<div class="label-modal">
    <div class="label-modal__wrapper">
        <div class="label-modal__content no-animate" ng-if="!$ctrl.loadingData && $ctrl.loadingStatus !== 'pending'">
            <div class="label-modal__title">
                <div class="label-modal__button">
                    <button class="label-modal__button_close">
                        <i class="material-icons" aria-label="Close dialog">close</i>
                    </button>
                </div>
                <a target="_blank" ng-href="{{$ctrl.testUrl}}" class="label-modal__title-link" md-prevent-menu-close="md-prevent-menu-close">
                    {{$ctrl.loadingStatus === 'error' ? 'See the case': $ctrl.testRailData.title}}
                    <i class="material-icons label-modal__title-icon">open_in_new</i>
                </a>
            </div>
            <div class="label-modal__container _completed" ng-if="$ctrl.loadingStatus === 'completed'">
                <div class="label-modal__item _priority">
                    <div class="label-modal__item-title">Priority</div>
                    <div class="label-modal__item-label" ng-class="$ctrl.testRailData.priority.toLowerCase()">{{$ctrl.testRailData.priority}}</div>
                </div>
                <div class="label-modal__item _precondition">
                    <div class="label-modal__item-title">Precondition</div>
                    <div class="label-modal__item-precondition" ng-class="{'_short': $ctrl.testRailData.shortPreconditions && !$ctrl.showMoreInfo}">
                        <div class="label-modal__item-text">{{$ctrl.testRailData.shortPreconditions && !$ctrl.showMoreInfo ? $ctrl.testRailData.shortPreconditions : $ctrl.testRailData.preconditions}}</div>
                        <button ng-if="$ctrl.testRailData.shortPreconditions" md-prevent-menu-close="md-prevent-menu-close" ng-click="$ctrl.showMoreInfo = !$ctrl.showMoreInfo" class="label-modal__item-button">{{$ctrl.showMoreInfo ? 'Show less' : 'Show more'}}</button>
                    </div>
                </div>
                <div class="label-modal__item _steps" ng-if="$ctrl.testRailData.steps || $ctrl.testRailData.separatedSteps">
                    <div class="label-modal__item-title">Steps</div>
                    <div class="label-modal__item-steps steps">
                        <div class="steps__content" ng-if="!$ctrl.checkIsTable()">
                            {{$ctrl.testRailData.steps}}
                        </div>
                        <div class="steps__table" ng-if="$ctrl.checkIsTable()">
                            <div class="steps__table-header">
                                <div class="steps__table-row">
                                    <div class="steps__table-col _number">№</div>
                                    <div class="steps__table-col _content">Content</div>
                                    <div class="steps__table-col _expected">Expected</div>
                                </div>
                            </div>
                            <div class="steps__table-body">
                                <div class="steps__table-row" ng-repeat="(key, step) in $ctrl.testRailData.separatedSteps">
                                    <div class="steps__table-col _number">{{key + 1}}</div>
                                    <div class="steps__table-col _content">{{step.content}}</div>
                                    <div class="steps__table-col _expected">{{step.expected}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="label-modal__item _expectedResult" ng-if="$ctrl.testRailData.expected">
                    <div class="label-modal__item-title">Expected result</div>
                    <div class="label-modal__item-result">{{$ctrl.testRailData.expected}}</div>
                </div>
            </div>
            <div class="label-modal__container _error" ng-if="$ctrl.loadingStatus === 'error'">
                <div class="label-modal__container-icon">
                    <i class="material-icons">warning</i>
                </div>
                <div class="label-modal__container-info">
                    Failed to load information. Try again later.
                </div>
            </div>
        </div>
        <div class="label-modal__shimmer shimmer__content no-animate"
            ng-if="$ctrl.loadingData || $ctrl.loadingStatus === 'pending'">
            <button class="label-modal__button_close">
                <i class="material-icons" aria-label="Close dialog">close</i>
            </button>
            <div class="shimmer__item-wrapper _header">
                <div class="shimmer__item _dark"></div>
            </div>
            <div class="shimmer__item-wrapper _row _section">
                <div class="shimmer__item _short"></div>
                <div class="shimmer__item _short _dark _tall"></div>
            </div>
            <div class="shimmer__item-wrapper">
                <div class="shimmer__item _short"></div>
            </div>
            <div class="shimmer__item-wrapper _section">
                <div class="shimmer__item"></div>
            </div>
            <div class="shimmer__item-wrapper">
                <div class="shimmer__item _short"></div>
            </div>
            <div class="shimmer__item-wrapper">
                <div class="shimmer__item"></div>
            </div>
            <div class="shimmer__item-wrapper">
                <div class="shimmer__item"></div>
            </div>
            <div class="shimmer__item-wrapper">
                <div class="shimmer__item"></div>
            </div>
        </div>
    </div>
</div>
